/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer: ...
*/

#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_COLLISION_REACTION

#include "cr_engine.h"

using namespace std;


/**
 * standard constructor
 */
CREngine::CREngine ()
{
   this->setClassID(CL_CR_ENGINE, "CREngine");
   this->setName("CREngine");

}

/**
 *  the singleton reference to this class
 */
CREngine* CREngine::singletonRef = NULL;

/**
   @brief standard deconstructor
 */
CREngine::~CREngine ()
{
  CREngine::singletonRef = NULL;
}



#if 0
CollisionHandle* CREngine::subscribeReaction(WorldEntity* worldEntity, CRType type, int nrOfTargets, ...)
{
  va_list itemlist;
  va_start (itemlist, type);
  for (int i = 0; i < faceElemCount; i++)
    this->targetList.push_back(va_arg(itemlist, int));
  va_end(itemlist);
}
#endif



