/*!
 * @file glgui_textfield.h
 * The gl_ widget of th openglGUI
 *
 */

#ifndef _GLGUI_TEXTFIELD_H
#define _GLGUI_TEXTFIELD_H

#include "glgui_widget.h"

// FORWARD DECLARATION
class Text;
namespace OrxGui
{

  //! This is part of the openglGUI class
  /**
   *
   */
  class GLGuiTextfield : public GLGuiWidget
  {

  public:
    GLGuiTextfield();
    virtual ~GLGuiTextfield();

    void init();

    virtual void draw();

  private:
    std::list<Text*>      textLines;

  };
}
#endif /* _GLGUI__H */
